Index: orxonox/trunk/src/lib/gui/gui/gui_exec.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_exec.cc	(revision 4069)
+++ orxonox/trunk/src/lib/gui/gui/gui_exec.cc	(revision 4071)
@@ -177,7 +177,7 @@
 {
   int counter = 0;
-  while(counter < depth &&((widget->isOption>0
+  while(counter < depth &&((widget->optionType > GUI_NOTHING
 			      &&(static_cast<Option*>(widget)->isSaveable()))
-			     ||(widget->isOption<0
+			     ||(widget->optionType < GUI_NOTHING
 				&& static_cast<Packer*>(widget)->getGroupName())))
     {
@@ -187,5 +187,5 @@
   
   // check if it is a Packer, and if it is, check if it has a name and if there is something in it.
-  if(widget->isOption <0)
+  if(widget->optionType < GUI_NOTHING)
     {
       if(static_cast<Packer*>(widget)->getGroupName())
@@ -200,7 +200,6 @@
 	}
     } 
-  //  if(widget->isOption == 0)
-  //    printf("%s\n",widget->title);
-  if(widget->isOption >= 1)
+
+  if(widget->optionType > GUI_NOTHING)
     if (static_cast<Option*>(widget)->isSaveable())
       {
@@ -280,5 +279,5 @@
     {
       PRINT(5)("Located Option %s.\n", widget->title);
-      if(widget->isOption >= 1)
+      if(widget->optionType > GUI_NOTHING)
 	static_cast<Option*>(widget)->load(info->variableValue);
     }
@@ -305,5 +304,5 @@
     }
 
-  if(widget->isOption < 0)
+  if(widget->optionType < GUI_NOTHING)
     {
       if(static_cast<Packer*>(widget)->getGroupName() &&
Index: orxonox/trunk/src/lib/gui/gui/gui_flags.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_flags.cc	(revision 4069)
+++ orxonox/trunk/src/lib/gui/gui/gui_flags.cc	(revision 4071)
@@ -76,5 +76,5 @@
 {
   FlagInfo* info =(FlagInfo*)flagInfo;
-  if(widget->isOption >= 1)
+  if(widget->optionType > GUI_NOTHING)
     if (static_cast<Option*>(widget)->value != static_cast<Option*>(widget)->defaultValue )
       {
@@ -90,5 +90,5 @@
 	  }
 
-	if(static_cast<Option*>(widget)->isOption == 2)
+	if(static_cast<Option*>(widget)->optionType > GUI_BOOL)
 	  {
 	    info->flagsLabel->appendText("=");
Index: orxonox/trunk/src/lib/gui/gui/gui_gtk.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_gtk.cc	(revision 4069)
+++ orxonox/trunk/src/lib/gui/gui/gui_gtk.cc	(revision 4071)
@@ -222,5 +222,5 @@
     return this;
 
-  if (this->isOption < 0 && static_cast<Packer*>(this)->down)
+  if (this->optionType < GUI_NOTHING && static_cast<Packer*>(this)->down)
     {
       Widget* tmp = static_cast<Packer*>(this)->down->findWidgetByName(name, depth+1);
@@ -243,5 +243,5 @@
 {
   function(this);
-  if (this->isOption < 0)
+  if (this->optionType < GUI_NOTHING)
     {
       static_cast<Packer*>(this)->down->walkThrough(function, depth+1);
@@ -261,5 +261,5 @@
 {
   function(this, data);
-  if (this->isOption < 0)
+  if (this->optionType < GUI_NOTHING)
     {
       static_cast<Packer*>(this)->down->walkThrough(function, data, depth+1);
@@ -275,7 +275,7 @@
 void Widget::listOptionsAndGroups(Widget* widget)
 {
-  if (widget->isOption < 0 && static_cast<Packer*>(widget)->groupName)
+  if (widget->optionType < GUI_NOTHING && static_cast<Packer*>(widget)->groupName)
     PRINT(0)("[%s]\n", static_cast<Packer*>(widget)->groupName);
-  if (widget->isOption >= 1)
+  if (widget->optionType > GUI_NOTHING)
     {
       Widget::listOptions(widget);
@@ -289,5 +289,5 @@
 void Widget::listOptions(Widget* widget)
 {
-  if(widget->isOption >= 1)
+  if(widget->optionType > GUI_NOTHING)
     PRINT(0)("  %s is %s\n", static_cast<Option*>(widget)->title, static_cast<Option*>(widget)->save());
 }
@@ -301,5 +301,5 @@
 {
   
-  if (widget->isOption >= 1)
+  if (widget->optionType > GUI_NOTHING)
     {
       int* count =(int*)data;
@@ -320,5 +320,5 @@
 Widget* Widget::findOptionByNumber(int* number, unsigned int depth)
 {
-  if (isOption > 0)
+  if (optionType > GUI_NOTHING)
     {
       --*number;
@@ -328,5 +328,5 @@
 	}
     }
-  if (this->isOption < 0 && static_cast<Packer*>(this)->down)
+  if (this->optionType < GUI_NOTHING && static_cast<Packer*>(this)->down)
     {
       Widget* tmp = static_cast<Packer*>(this)->down->findOptionByNumber(number, depth+1);
@@ -346,5 +346,5 @@
 void Widget::listGroups(Widget* widget)
 {
-  if (widget->isOption < 0 && static_cast<Packer*>(widget)->groupName)
+  if (widget->optionType < GUI_NOTHING && static_cast<Packer*>(widget)->groupName)
     PRINT(0)("[%s]\n", static_cast<Packer*>(widget)->groupName);
 }
@@ -358,5 +358,5 @@
 {
   int* count = (int*)data;
-  if (widget->isOption < 0 && static_cast<Packer*>(widget)->groupName)
+  if (widget->optionType < GUI_NOTHING && static_cast<Packer*>(widget)->groupName)
     PRINT(0)("%d: [%s]\n", ++*count, static_cast<Packer*>(widget)->groupName);
 }
@@ -369,5 +369,5 @@
 Widget* Widget::findGroupByNumber(int* number, unsigned int depth)
 {
-  if (isOption < 0 && static_cast<Packer*>(this)->groupName)
+  if (optionType < GUI_NOTHING && static_cast<Packer*>(this)->groupName)
     {
       --*number;
@@ -377,5 +377,5 @@
 	}
     }
-  if (this->isOption < 0 && static_cast<Packer*>(this)->down)
+  if (this->optionType < GUI_NOTHING && static_cast<Packer*>(this)->down)
     {
       Widget* tmp = static_cast<Packer*>(this)->down->findGroupByNumber(number, depth+1);
@@ -395,5 +395,5 @@
 void Widget::setOptions(Widget* widget)
 {
-  if (widget->isOption >= 1)
+  if (widget->optionType > GUI_NOTHING)
     static_cast<Option*>(widget)->redraw();
 }
@@ -406,5 +406,5 @@
 void Widget::redrawOptions(Widget* widget)
 {
-  if (widget->isOption >= 1)
+  if (widget->optionType > GUI_NOTHING)
     static_cast<Option*>(widget)->redraw();
 }
@@ -415,5 +415,5 @@
 void Widget::flagCheck(Widget* widget, void* flagName)
 {
-  if (widget->isOption>=1)
+  if (widget->optionType > GUI_NOTHING)
     {      
       Option* option =(Option*)widget;
@@ -567,5 +567,5 @@
 Container::Container(void)
 {
-  this->isOption = -1;
+  this->optionType = GUI_CONTAINER;
 }
 
@@ -814,6 +814,4 @@
 EventBox::EventBox(const char* eventBoxName)
 {
-  this->isOption = -1;
-
 #ifdef HAVE_GTK2
   this->widget = gtk_event_box_new();
@@ -842,5 +840,5 @@
 Box::Box(char boxtype)
 {
-  this->isOption = -2;
+  this->optionType = GUI_BOX;
 
 #ifdef HAVE_GTK2
@@ -1055,5 +1053,5 @@
 Button::Button(char* buttonName)
 {
-  isOption = 0;
+  this->optionType = GUI_NOTHING;
 
 #ifdef HAVE_GTK2
@@ -1115,5 +1113,5 @@
 CheckButton::CheckButton(const char* buttonName)
 {
-  this->isOption = 1;
+  this->optionType = GUI_BOOL;
 
 #ifdef HAVE_GTK2
@@ -1205,5 +1203,5 @@
 Slider::Slider(const char* slidername, int start, int end)
 {
-  this->isOption = 2;
+  this->optionType = GUI_INT;
 
   this->start = start;
@@ -1329,5 +1327,5 @@
 void Menu::init(void)
 {
-  this->isOption = 2;
+  this->optionType = GUI_INT;
   this->firstItem = NULL;
 
@@ -1443,5 +1441,5 @@
 OptionLabel::OptionLabel(const char* label, const char* value)
 {
-  this->isOption = 5;
+  this->optionType = GUI_CHAR_ARRAY;
   cValue = NULL;
 
@@ -1533,5 +1531,5 @@
 Label:: Label(const char* text)
 {
-  this->isOption = 0;
+  this->optionType = GUI_NOTHING;
   
 #ifdef HAVE_GTK2
@@ -1629,5 +1627,5 @@
 ProgressBar::ProgressBar(const char* label)
 {
-  this->isOption = 0;
+  this->optionType = GUI_NOTHING;
   this->progress = 0.0;
   this->totalSize = 0.0;
@@ -1728,5 +1726,5 @@
 void Image::init(const char* name)
 {
-  isOption = 0;
+  optionType = GUI_NOTHING;
 
   if (this->title)
@@ -1746,5 +1744,5 @@
 FileDialog::FileDialog(const char* fileDialogName)
 {
-  this->isOption = 0;
+  this->optionType = GUI_NOTHING;
   this->isOpen = false;
   this->changeOption = NULL;
Index: orxonox/trunk/src/lib/gui/gui/gui_gtk.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_gtk.h	(revision 4069)
+++ orxonox/trunk/src/lib/gui/gui/gui_gtk.h	(revision 4071)
@@ -32,6 +32,6 @@
 
 // enumerator for different GuiOption-Types
-enum GUI_OPTION {GUI_CONTAINER = -2,
-		 GUI_BOX = -1,
+enum GUI_OPTION {GUI_BOX = -2,
+		 GUI_CONTAINER = -1,
 		 GUI_NOTHING = 0,
 		 GUI_BOOL = 1,
@@ -64,14 +64,14 @@
   void walkThrough(void(*function)(Widget*), unsigned int depth);
   void walkThrough(void(*function)(Widget*, void*), void* data, unsigned int depth);
-  static void listOptionsAndGroups(Widget* widget);
-  static void listOptions(Widget* widget);
-  static void listOptions(Widget* widget, void* data);
-  Widget* findOptionByNumber(int* number, unsigned int depth);
-  static void listGroups(Widget* widget);
-  static void listGroups(Widget* widget, void* data);
-  Widget* findGroupByNumber(int* number, unsigned int depth);
-  static void setOptions(Widget* widget);
-  static void redrawOptions(Widget* widget);
-  static void flagCheck(Widget* widget, void* flagName);
+   static void listOptionsAndGroups(Widget* widget);
+   static void listOptions(Widget* widget);
+   static void listOptions(Widget* widget, void* data);
+   Widget* findOptionByNumber(int* number, unsigned int depth);
+   static void listGroups(Widget* widget);
+   static void listGroups(Widget* widget, void* data);
+   Widget* findGroupByNumber(int* number, unsigned int depth);
+   static void setOptions(Widget* widget);
+   static void redrawOptions(Widget* widget);
+   static void flagCheck(Widget* widget, void* flagName);
   
 #ifdef HAVE_GTK2
@@ -104,6 +104,5 @@
 #endif /* HAVE_GTK2 */
 
-  int isOption;                     //!< with this Paramenter one can set the option-type: -2:Container, -1: Box, 0: not an Option, 1: Bool-option, 2: int-option, 3: float option, 4:char option, 5: char* option
-  
+  GUI_OPTION optionType;            //!< The Type of the Widget.
   char* title;                      //!< The name of the Widget. Some do display it, Options need it to save;
 };
@@ -142,4 +141,5 @@
   Container(void);
   virtual ~Container(void);
+
   void setBorderWidth(int borderwidth);
   void fill(Widget* lowerWidget);