Index: /orxonox/branches/md2_loader/src/defs/debug.h
===================================================================
--- /orxonox/branches/md2_loader/src/defs/debug.h	(revision 4071)
+++ /orxonox/branches/md2_loader/src/defs/debug.h	(revision 4072)
@@ -56,6 +56,6 @@
 // DEFINE MODULES
 #define DEBUG_MODULE_ORXONOX            0
-#define DEBUG_MODULE_WORLD              1
-#define DEBUG_MODULE_PNODE              1
+#define DEBUG_MODULE_WORLD              0
+#define DEBUG_MODULE_PNODE              0
 #define DEBUG_MODULE_WORLD_ENTITY       0
 #define DEBUG_MODULE_COMMAND_NODE       0
@@ -63,14 +63,14 @@
 #define DEBUG_MODULE_LOAD               0
 
-#define DEBUG_MODULE_IMPORTER           3
+#define DEBUG_MODULE_IMPORTER           2
 #define DEBUG_MODULE_TRACK_MANAGER      0
 #define DEBUG_MODULE_GARBAGE_COLLECTOR  0
 #define DEBUG_MODULE_LIGHT              0
-#define DEBUG_MODULE_PLAYER             1
-#define DEBUG_MODULE_WEAPON             3
+#define DEBUG_MODULE_PLAYER             0
+#define DEBUG_MODULE_WEAPON             0
 #define DEBUG_MODULE_MATH               0
-#define DEBUG_MODULE_FONT               1
-#define DEBUG_MODULE_ANIM               1
-#define DEBUG_MODULE_PARTICLE           4
+#define DEBUG_MODULE_FONT               0
+#define DEBUG_MODULE_ANIM               0
+#define DEBUG_MODULE_PARTICLE           0
 
 #define DEBUG_MODULE_NULL_PARENT        0
Index: /orxonox/branches/md2_loader/src/lib/graphics/graphics_engine.cc
===================================================================
--- /orxonox/branches/md2_loader/src/lib/graphics/graphics_engine.cc	(revision 4071)
+++ /orxonox/branches/md2_loader/src/lib/graphics/graphics_engine.cc	(revision 4072)
@@ -279,11 +279,11 @@
 	  // temporary, only for showing how fast the text-engine is
 	  char tmpChar1[20];
-	  sprintf(tmpChar1, "Current: %4.0f", this->currentFPS);
+	  sprintf(tmpChar1, "Current:  %5.0f", this->currentFPS);
 	  this->geTextCFPS->setText(tmpChar1);
 	  char tmpChar2[20];
-	  sprintf(tmpChar2, "Max: %4.0f", this->maxFPS);
+	  sprintf(tmpChar2, "MAX: %4.0f", this->maxFPS);
 	  this->geTextMaxFPS->setText(tmpChar2);
 	  char tmpChar3[20];
-	  sprintf(tmpChar3, "Min: %4.0f", this->minFPS);
+	  sprintf(tmpChar3, "MIN: %4.0f", this->minFPS);
 	  this->geTextMinFPS->setText(tmpChar3);
 	}
@@ -294,11 +294,11 @@
 	if( display)
 	{
-		this->geTextCFPS = TextEngine::getInstance()->createText("fonts/earth.ttf", 30, TEXT_DYNAMIC, 0, 255, 0);
+		this->geTextCFPS = TextEngine::getInstance()->createText("fonts/courier.ttf", 30, TEXT_DYNAMIC, 0, 255, 0);
 		this->geTextCFPS->setAlignment(TEXT_ALIGN_LEFT);
 		this->geTextCFPS->setPosition(0, 500);
-		this->geTextMaxFPS = TextEngine::getInstance()->createText("fonts/earth.ttf", 30, TEXT_DYNAMIC, 0, 255, 0);
+		this->geTextMaxFPS = TextEngine::getInstance()->createText("fonts/quake.ttf", 30, TEXT_DYNAMIC, 0, 255, 0);
 		this->geTextMaxFPS->setAlignment(TEXT_ALIGN_LEFT);
 		this->geTextMaxFPS->setPosition(0, 530);
-		this->geTextMinFPS = TextEngine::getInstance()->createText("fonts/earth.ttf", 30, TEXT_DYNAMIC, 0, 255, 0);
+		this->geTextMinFPS = TextEngine::getInstance()->createText("fonts/quake.ttf", 30, TEXT_DYNAMIC, 0, 255, 0);
 		this->geTextMinFPS->setAlignment(TEXT_ALIGN_LEFT);
 		this->geTextMinFPS->setPosition(0, 560);	
Index: /orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h
===================================================================
--- /orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h	(revision 4071)
+++ /orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h	(revision 4072)
@@ -91,6 +91,4 @@
 
 
-
-
 //! A class for representating a MD2Model
 class MD2Model : public AbstractModel {
Index: /orxonox/branches/md2_loader/src/orxonox.cc
===================================================================
--- /orxonox/branches/md2_loader/src/orxonox.cc	(revision 4071)
+++ /orxonox/branches/md2_loader/src/orxonox.cc	(revision 4072)
@@ -313,4 +313,13 @@
   */
 
+  printf("++INFO++++++++++++++++++++++++++++++++++++++++++++++++\n");
+  printf("+ This version of orxonox is for testing purposes    +\n");
+  printf("+ In order to run it, you will need some files for   +\n");
+  printf("+ the data/fonts and data/models repository.         +\n");
+  printf("+ If you don't have them, the app will terminate     +\n");
+  printf("+ with a segfault...                                 +\n");
+  printf("+                    ...bzzzzz... paede out...       +\n");
+  printf("++++++++++++++++++++++++++++++++++++++++++++++++++++++\n");
+
 
   int i;
Index: /orxonox/branches/md2_loader/src/story_entities/world.cc
===================================================================
--- /orxonox/branches/md2_loader/src/story_entities/world.cc	(revision 4071)
+++ /orxonox/branches/md2_loader/src/story_entities/world.cc	(revision 4072)
@@ -196,7 +196,7 @@
   cn->reset();
 
-  ResourceManager::getInstance()->debug();
+  //ResourceManager::getInstance()->debug();
   ResourceManager::getInstance()->unloadAllByPriority(RP_LEVEL);
-  ResourceManager::getInstance()->debug();
+  //ResourceManager::getInstance()->debug();
 
   delete WorldInterface::getInstance();
@@ -208,5 +208,5 @@
   TextEngine::getInstance()->flush();
 
-  AnimationPlayer::getInstance()->debug();
+  //AnimationPlayer::getInstance()->debug();
   delete AnimationPlayer::getInstance(); // this should be at the end of the unloading sequence.
   //delete garbagecollecor
@@ -446,5 +446,5 @@
   //  lightMan->setPosition(20, 10, -20);
   //  lightMan->setDiffuseColor(0,0,0);
-  lightMan->debug();
+  //lightMan->debug();
   lightMan->setPosition(-5.0, 10.0, -40.0);
   
@@ -466,6 +466,6 @@
   glNewList (objectList, GL_COMPILE);
   
-  //  trackManager->drawGraph(.01);
-  trackManager->debug(2);
+  //trackManager->drawGraph(.01);
+  //trackManager->debug(2);
   glEndList();
 