Index: data/trunk/worlds/Terrain.oxw
===================================================================
--- data/trunk/worlds/Terrain.oxw	(revision 4074)
+++ data/trunk/worlds/Terrain.oxw	(revision 4074)
@@ -0,0 +1,71 @@
+<WorldDataFile>
+
+  <name>"Terrain"</name>
+  <screenshoot>pictures/load_screens/coder_island.jpg</screenshoot>
+
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screens/coder_island.jpg</BackgroundImage>
+    <ElementCount>16</ElementCount>
+    <BackgroundPS>0,0,1.0,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screens/default_bar.png</BarImage>
+  </LoadScreen>
+
+  <WorldEntities>
+    <SkyBox>
+      <name>Sky</name>
+      <Materialset>pictures/sky/desert</Materialset>
+      <Size>10000</Size>
+    </SkyBox>
+
+    <TerrainEntity>   
+		<name>Puget Sound</name> 
+		<elevation_map>pictures/lm.png</elevation_map>		
+		<light_map>pictures/lightmap.png</light_map>		
+		<material_layer>
+			<detail_map file="maps/stucco.jpg">
+				<repeat x="16" z="16" />
+			</detail_map>
+			<alpha full="yes" />
+		</material_layer>
+		<material_layer>
+			<detail_map file="maps/snow_rubble_512x512.jpg">
+				<repeat x="16" z="16" />
+			</detail_map>
+			<alpha file="pictures/snowvis.png" />
+		</material_layer>		
+		<scale>100,300,100</scale>
+    </TerrainEntity>
+
+    <TurbineHover>
+      <name>Player</name>
+      <abs-coor>0,40,0</abs-coor>
+    </TurbineHover>
+	</WorldEntities>
+  <LightManager>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>100,100,50</abs-coor>
+      </Light>
+    </Lights>
+    <ambient-color>1,1,1</ambient-color>
+  </LightManager>
+
+  <GameRule>
+    <SingleplayerShootemup>
+      <death-screen-image>pictures/load_screen_coder_island.jpg</death-screen-image>
+
+      <MissionGoal>
+        <KillTarget>
+	  <title>"Mindless Slaughter"</title>
+	  <description>"This is the first mission ever, created for Orxonox. Kill them!
+	               Kill all those damn creatures!"
+          </description>
+          <numberofkills>10</numberofkills>
+	  <targetclassid>9999</targetclassid>
+        </KillTarget>
+      </MissionGoal>
+    </SingleplayerShootemup>
+  </GameRule>
+</WorldDataFile>
Index: data/trunk/worlds/christmas.oxw
===================================================================
--- data/trunk/worlds/christmas.oxw	(revision 4073)
+++ data/trunk/worlds/christmas.oxw	(revision 4074)
@@ -120,10 +120,22 @@
     </SkyBox>
 
-    <Terrain>
-      <name>HardCore</name>
-      <model>models/environments/christmas.obj</model>
-      <vegetation>models/environments/christmas_vegetation.obj</vegetation>
-      <abs-coor>0,-10,100</abs-coor>
-    </Terrain>
+    <TerrainEntity>   
+		<name>Puget Sound</name> 
+		<elevation_map>pictures/small_ele.png</elevation_map>		
+		<light_map>pictures/large_tex.png</light_map>		
+		<material_layer>
+			<detail_map file="maps/gras_128.jpg">
+				<repeat x="64" z="64" />
+			</detail_map>
+			<alpha full="yes" />
+		</material_layer>
+		<material_layer>
+			<detail_map file="maps/stucco.jpg">
+				<repeat x="64" z="64" />
+			</detail_map>
+			<alpha file="layer2vis.png" />
+		</material_layer>		
+		<scale>100,100,100</scale>
+    </TerrainEntity>
 
 
Index: data/trunk/worlds/developer_island.oxw
===================================================================
--- data/trunk/worlds/developer_island.oxw	(revision 4073)
+++ data/trunk/worlds/developer_island.oxw	(revision 4074)
@@ -18,8 +18,4 @@
       <Size>10000</Size>
     </SkyBox>
-    <Terrain>
-      <name>HardCore</name>
-      <model>worlds/environ.obj</model>
-    </Terrain>
     <MappedWater>
        <waterHeight>50</waterHeight>
Index: data/trunk/worlds/sp_demo_mountain_lake.oxw
===================================================================
--- data/trunk/worlds/sp_demo_mountain_lake.oxw	(revision 4073)
+++ data/trunk/worlds/sp_demo_mountain_lake.oxw	(revision 4074)
@@ -12,11 +12,12 @@
   </LoadScreen>
 
-  
+
   <WorldEntities>
-  
-    <Hover>
+
+    <Spacecraft2D>
       <name>Player</name>
+      <model>models/ships/reap_#.obj</model>
       <abs-coor>50, 100, 50</abs-coor>
-    </Hover>
+    </Spacecraft2D>
 
     <SkyBox>