Index: orxonox/trunk/src/command_node.cc
===================================================================
--- orxonox/trunk/src/command_node.cc	(revision 4083)
+++ orxonox/trunk/src/command_node.cc	(revision 4084)
@@ -57,5 +57,5 @@
   this->bEnabled = true;
   this->world = NULL;
-  this->loadBindings (filename);
+  this->loadBindings(filename);
 }
 
@@ -111,11 +111,9 @@
    \param filename: The path and name of the file to load the bindings from
 */
-void CommandNode::loadBindings (char* filename)
+void CommandNode::loadBindings (char* filename = DEFAULT_KEYBIND_FILE)
 {
   FILE* stream;
   
   PRINTF(4)("Loading key bindings from %s\n", filename);
-  
-  if( filename == NULL) filename = DEFAULT_KEYBIND_FILE;
   
   // remove old bindings if present
@@ -128,5 +126,5 @@
   // create parser
   IniParser parser (filename);
-  if( parser.getSection ("Bindings") == -1)
+  if( parser.getSection ("player1") == -1)
     {
       PRINTF(1)("Could not find key bindings in %s\n", filename);
Index: orxonox/trunk/src/command_node.h
===================================================================
--- orxonox/trunk/src/command_node.h	(revision 4083)
+++ orxonox/trunk/src/command_node.h	(revision 4084)
@@ -18,5 +18,5 @@
 #define N_STD_KEYS SDLK_LAST
 #define N_BUTTONS 6
-#define DEFAULT_KEYBIND_FILE "default.ini"
+#define DEFAULT_KEYBIND_FILE "~/.orxonox/orxonox.conf"
 
 //! Key aliasing structure
Index: orxonox/trunk/src/defs/debug.h
===================================================================
--- orxonox/trunk/src/defs/debug.h	(revision 4083)
+++ orxonox/trunk/src/defs/debug.h	(revision 4084)
@@ -59,5 +59,5 @@
 #define DEBUG_MODULE_PNODE              1
 #define DEBUG_MODULE_WORLD_ENTITY       0
-#define DEBUG_MODULE_COMMAND_NODE       0
+#define DEBUG_MODULE_COMMAND_NODE       2
 #define DEBUG_MODULE_GRAPHICS           0
 #define DEBUG_MODULE_LOAD               0
Index: orxonox/trunk/src/lib/util/ini_parser.cc
===================================================================
--- orxonox/trunk/src/lib/util/ini_parser.cc	(revision 4083)
+++ orxonox/trunk/src/lib/util/ini_parser.cc	(revision 4084)
@@ -16,10 +16,11 @@
 
 #include "ini_parser.h"
+#include "resource_manager.h"
 
 using namespace std;
 
 /**
-	\brief constructs an IniParser using a file
-	\param filename: the path and name of the file to parse
+   \brief constructs an IniParser using a file
+   \param filename: the path and name of the file to parse
 */
 IniParser::IniParser (const char* filename)
@@ -31,5 +32,5 @@
 
 /**
-	\brief removes the IniParser from memory
+   \brief removes the IniParser from memory
 */
 IniParser::~IniParser ()
@@ -45,12 +46,15 @@
 int IniParser::openFile(const char* filename)
 {
+  char* tmpName = ResourceManager::homeDirCheck(filename);
   if( filename == NULL) return -1;
   if( stream != NULL)	fclose (stream);
-  if( (stream = fopen (filename, "r")) == NULL)
+  if( (stream = fopen (tmpName, "r")) == NULL)
     {
-      printf("IniParser could not open %s\n", filename);
+      PRINTF(1)("IniParser could not open %s\n", filename);
+      delete tmpName;
       return -1;
     }
   bInSection = false;
+  delete tmpName;
   return 0;
 }
@@ -123,11 +127,16 @@
 	  return -1;
 	}
-      if( (ptr = strchr( linebuffer, '=')) != NULL)
+      sscanf(linebuffer, "%s = %s", name, value);
+      return 0;
+      /*
+	if( (ptr = strchr( tmpBuffer, '=')) != NULL)
 	{
-	  if( ptr == linebuffer) continue;
-	  strcpy (value, &ptr[1]);
-	  strncpy (name, linebuffer, strlen (linebuffer) - strlen (value) - 1);
-	  return 0;
+	if( ptr == linebuffer) continue;
+	strcpy (value, &ptr[1]);
+	strncpy (name, linebuffer, strlen (linebuffer) - strlen (value) - 1);
+	printf ("%s, %s\n", value, name);
+	return 0;
 	}
+      */
     }
   return -1;	
Index: orxonox/trunk/src/orxonox.cc
===================================================================
--- orxonox/trunk/src/orxonox.cc	(revision 4083)
+++ orxonox/trunk/src/orxonox.cc	(revision 4084)
@@ -93,5 +93,5 @@
 void Orxonox::getConfigFile (int argc, char** argv)
 {
-  strcpy (configfilename, "orxonox.conf");
+  strcpy (configfilename, "~/.orxonox/orxonox.conf");
 }
 
@@ -152,5 +152,5 @@
 {
   // create localinput
-  localinput = new CommandNode( configfilename);
+  localinput = new CommandNode(configfilename);
   
   return 0;