Index: orxonox/trunk/src/lib/gui/gui/gui_keys.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_keys.cc	(revision 4084)
+++ orxonox/trunk/src/lib/gui/gui/gui_keys.cc	(revision 4085)
@@ -69,9 +69,9 @@
    this->pKeysBox = new Box('v');
    this->pKeysBox->setGroupName(player);
-    this->pKeysBox->fill(addKey(UP, "UP"));
-    this->pKeysBox->fill(addKey(DOWN, "DOWN"));
-    this->pKeysBox->fill(addKey(LEFT, "LEFT"));
-    this->pKeysBox->fill(addKey(RIGHT, "RIGHT"));
-    this->pKeysBox->fill(addKey(SHOOT, "FIRE"));
+    this->pKeysBox->fill(addKey(UP, "up"));
+    this->pKeysBox->fill(addKey(DOWN, "down"));
+    this->pKeysBox->fill(addKey(LEFT, "left"));
+    this->pKeysBox->fill(addKey(RIGHT, "right"));
+    this->pKeysBox->fill(addKey(SHOOT, "fire"));
     delete windowName;
     closeButton = new Button("close");
@@ -172,85 +172,156 @@
     {
     case GDK_Up:
-      strcpy(title, "up");
+      strcpy(title, "UP");
       break;
     case GDK_Down:
-      strcpy(title, "down");
+      strcpy(title, "DOWN");
       break;
     case GDK_Left:
-      strcpy(title, "left");
+      strcpy(title, "LEFT");
       break;
     case GDK_Right:
-      strcpy(title, "right");
+      strcpy(title, "RIGHT");
       break;
       
     case GDK_space:
-      strcpy(title, "space");
-      break;
-      
-    case 65293:
-      strcpy(title, "enter");
+      strcpy(title, "SPACE");
+      break;
+      
+    case GDK_Return:
+      strcpy(title, "RETURN");
       break;
       
       // Special Keys //
+    case GDK_BackSpace:
+      strcpy(title, "BACKSPACE");
+      break;
+    case GDK_Scroll_Lock:
+      strcpy(title, "SCROLLOCK");
+      break;
+    case GDK_minus:
+      strcpy(title, "MINUS");
+      break;
+    case GDK_plus:
+      strcpy(title, "PLUS");
+      break;
+    case GDK_slash:
+      strcpy(title, "SLASH");
+      break;
+    case GDK_period:
+      strcpy(title, "PERIOD");
+      break;
+    case GDK_comma:
+      strcpy(title, "COMMA");
+      break;
+    case GDK_colon:
+      strcpy(title, "COLON");
+      break;
+    case GDK_semicolon:
+      strcpy(title, "SEMICOLON");
+      break;
+    case GDK_less:
+      strcpy(title, "LESS");
+      break;
+    case GDK_equal:
+      strcpy(title, "EQUALS");
+      break;
+    case GDK_greater:
+      strcpy(title, "GREATER");
+      break;
+    case GDK_question:
+      strcpy(title, "QUESTION");
+      break;
+    case GDK_at:
+      strcpy(title, "AT");
+      break;
+    case GDK_bracketleft:
+      strcpy(title, "LEFTBRACKET");
+      break;
+    case GDK_bracketright:
+      strcpy(title, "RIGHTBRACKET");
+      break;
+    case GDK_backslash:
+      strcpy(title, "BACKSLASH");
+      break;
+    case GDK_underscore:
+      strcpy(title, "UNDERSCORE");
+      break;
+    case GDK_quoteleft:
+      strcpy(title, "BACKQUOTE");
+      break;
+
+    case GDK_Page_Up:
+      strcpy(title, "PAGEUP");
+      break;
+    case GDK_Page_Down:
+      strcpy(title, "PAGEDOWN");
+      break;
+    case GDK_Home:
+      strcpy(title, "HOME");
+      break;
+    case GDK_Insert:
+      strcpy(title, "INSERT");
+      break;
+      
     case GDK_Escape:
-      strcpy(title, "esc");
+      strcpy(title, "ESCAPE");
       break;
     case GDK_Tab:
-      strcpy(title, "tab");
+      strcpy(title, "TAB");
       break;
     case GDK_Shift_L:
-      strcpy(title, "l_shift");
+      strcpy(title, "LSHIFT");
       break;
     case GDK_Shift_R:
-      strcpy(title, "r_shift");
+      strcpy(title, "R_SHIFT");
       break;
     case GDK_Control_L:
-      strcpy(title, "l_ctrl");
+      strcpy(title, "LCTRL");
       break;
     case GDK_Control_R:
-      strcpy(title, "r_ctrl");
+      strcpy(title, "RCTRL");
       break;
     case GDK_Alt_L:
-      strcpy(title, "l_alt");
+      strcpy(title, "LALT");
       break;
     case GDK_Alt_R:
-      strcpy(title, "r_alt");
+      strcpy(title, "RALT");
       break;
       // FXX KEYS //
     case GDK_F1:
-      strcpy(title, "f1");
+      strcpy(title, "F1");
       break;
     case GDK_F2:
-      strcpy(title, "f2");
+      strcpy(title, "F2");
       break;
     case GDK_F3:
-      strcpy(title, "f3");
+      strcpy(title, "F3");
       break;
     case GDK_F4:
-      strcpy(title, "f4");
+      strcpy(title, "F4");
       break;
     case GDK_F5:
-      strcpy(title, "f5");
+      strcpy(title, "F5");
       break;
     case GDK_F6:
-      strcpy(title, "f6");
+      strcpy(title, "F6");
       break;
     case GDK_F7:
-      strcpy(title, "f7");
+      strcpy(title, "F7");
       break;
     case GDK_F8:
-      strcpy(title, "f8");
+      strcpy(title, "F8");
       break;
     case GDK_F9:
-      strcpy(title, "f9");
+      strcpy(title, "F9");
       break;
     case GDK_F10:
-      strcpy(title, "f10");
+      strcpy(title, "F10");
       break;
     case GDK_F11:
-      strcpy(title, "f11");
+      strcpy(title, "F11");
       break;
     case GDK_F12:
-      strcpy(title, "f12");
+      strcpy(title, "F12");
       break;
       