Index: orxonox/trunk/src/defs/debug.h
===================================================================
--- orxonox/trunk/src/defs/debug.h	(revision 4092)
+++ orxonox/trunk/src/defs/debug.h	(revision 4094)
@@ -61,5 +61,5 @@
 #define DEBUG_MODULE_COMMAND_NODE       4
 #define DEBUG_MODULE_GRAPHICS           0
-#define DEBUG_MODULE_LOAD               0
+#define DEBUG_MODULE_LOAD               2
 
 #define DEBUG_MODULE_IMPORTER           3
Index: orxonox/trunk/src/game_loader.cc
===================================================================
--- orxonox/trunk/src/game_loader.cc	(revision 4092)
+++ orxonox/trunk/src/game_loader.cc	(revision 4094)
@@ -25,4 +25,5 @@
 #include "command_node.h"
 #include "vector.h"
+#include "resource_manager.h"
 #include "factory.h"
 
@@ -76,6 +77,16 @@
 {
   ErrorMessage errorCode;
-  
-  this->currentCampaign = this->fileToCampaign(name);
+  char* campaignName;
+  if (ResourceManager::isFile(name))
+    {
+      this->currentCampaign = this->fileToCampaign(name);
+    }
+  else
+    {
+      campaignName = new char[strlen(ResourceManager::getInstance()->getDataDir())+strlen(name)];
+      sprintf(campaignName, "%s%s", ResourceManager::getInstance()->getDataDir(), name);
+      this->currentCampaign = this->fileToCampaign(campaignName);
+      delete campaignName;
+    }
 }
 
Index: orxonox/trunk/src/lib/graphics/graphics_engine.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/graphics_engine.cc	(revision 4092)
+++ orxonox/trunk/src/lib/graphics/graphics_engine.cc	(revision 4094)
@@ -17,4 +17,5 @@
 
 #include "graphics_engine.h"
+#include "resource_manager.h"
 
 #include "debug.h"
@@ -101,6 +102,8 @@
   
   // TO DO: Create a cool icon and use it here
-  SDL_WM_SetIcon(SDL_LoadBMP("../data/pictures/orxonox-icon32x32.bmp"), NULL);  
-
+  char* loadPic = new char[strlen(ResourceManager::getInstance()->getDataDir())+ 100];
+  sprintf(loadPic, "%s%s", ResourceManager::getInstance()->getDataDir(),  "pictures/orxonox-icon32x32.bmp");
+  SDL_WM_SetIcon(SDL_LoadBMP(loadPic), NULL);  
+  delete loadPic;
   // Enable default GL stuff
   glEnable(GL_DEPTH_TEST);
Index: orxonox/trunk/src/orxonox.cc
===================================================================
--- orxonox/trunk/src/orxonox.cc	(revision 4092)
+++ orxonox/trunk/src/orxonox.cc	(revision 4094)
@@ -247,5 +247,5 @@
   
   this->gameLoader = GameLoader::getInstance();
-  this->gameLoader->loadCampaign("../data/worlds/DefaultCampaign.oxc");
+  this->gameLoader->loadCampaign("worlds/DefaultCampaign.oxc");
   //  this->gameLoader->loadDebugCampaign(DEBUG_CAMPAIGN_0);
   this->gameLoader->init();
Index: orxonox/trunk/src/story_entities/world.cc
===================================================================
--- orxonox/trunk/src/story_entities/world.cc	(revision 4092)
+++ orxonox/trunk/src/story_entities/world.cc	(revision 4094)
@@ -121,5 +121,5 @@
 {
   this->constuctorInit("", -1);
-
+  this->path = NULL;
   const char *string;
   char *name;
@@ -169,4 +169,5 @@
 World::World (char* name)
 {
+  this->path = NULL;
   this->constuctorInit(name, -1);
   //NullParent* np = NullParent::getInstance();
@@ -179,4 +180,5 @@
 World::World (int worldID)
 {
+  this->path = NULL;
   this->constuctorInit(NULL, worldID);
 }
@@ -266,5 +268,5 @@
 ErrorMessage World::load()
 {	
-  PRINTF0("> Loading world: '%s'\n", getPath());
+  PRINTF(0)("> Loading world: '%s'\n", getPath());
   
   GameLoader* loader = GameLoader::getInstance();
@@ -467,5 +469,5 @@
   glEndList();
 
-  terrain = new Terrain("../data/worlds/newGround.obj");
+  terrain = new Terrain("worlds/newGround.obj");
   terrain->setRelCoor(Vector(0,-10,0));
   this->spawn(terrain);
@@ -590,5 +592,5 @@
 
 	// Create SkySphere
-	sky = new Skysphere("../data/pictures/sky-replace.jpg");
+	sky = new Skysphere("pictures/sky-replace.jpg");
 	this->localPlayer->addChild(this->sky);
 	this->spawn(this->sky);
@@ -635,5 +637,5 @@
 
 	// Create SkySphere
-	this->sky = new Skysphere("../data/pictures/sky-replace.jpg");
+	this->sky = new Skysphere("pictures/sky-replace.jpg");
 	this->sky->setName("SkySphere");
 	this->spawn(this->sky);
@@ -1231,6 +1233,16 @@
 void World::setPath( const char* name)
 {
-  this->path = new char[strlen(name)+1];
-  strcpy(this->path, name);
+  if (this->path)
+    delete this->path;
+  if (ResourceManager::isFile(name))
+  {
+    this->path = new char[strlen(name)+1];
+    strcpy(this->path, name);
+  }
+  else
+    {
+      this->path = new char[strlen(ResourceManager::getInstance()->getDataDir()) + strlen(name) +1];
+      sprintf(this->path, "%s%s", ResourceManager::getInstance()->getDataDir(), name);
+    }
 }
 
Index: orxonox/trunk/src/world_entities/environment.cc
===================================================================
--- orxonox/trunk/src/world_entities/environment.cc	(revision 4092)
+++ orxonox/trunk/src/world_entities/environment.cc	(revision 4094)
@@ -30,5 +30,4 @@
 {
   this->model = (Model*) ResourceManager::getInstance()->load("cube", RP_LEVEL);
-  //  this->model = new OBJModel("../data/models/fighter.obj");
 }
 
Index: orxonox/trunk/src/world_entities/skysphere.cc
===================================================================
--- orxonox/trunk/src/world_entities/skysphere.cc	(revision 4092)
+++ orxonox/trunk/src/world_entities/skysphere.cc	(revision 4094)
@@ -44,5 +44,5 @@
 {
   if (fileName == NULL)
-    this->initialize("../data/pictures/sky-replace.jpg");
+    this->initialize("pictures/sky-replace.jpg");
   else
     this->initialize(fileName);