Index: /data/branches/presentation/scripts/guard.lua
===================================================================
--- /data/branches/presentation/scripts/guard.lua	(revision 4099)
+++ /data/branches/presentation/scripts/guard.lua	(revision 4100)
@@ -217,4 +217,58 @@
 guard:walkTo( 772.803284, height, -1489.560913)
 
+guard:walkTo( 772.325012, height, -1500.850708)
+guard:walkTo( 772.325012, height, -1500.850708)
+guard:walkTo( 772.487854, height, -1508.028809)
+guard:walkTo( 774.761047, height, -1519.442139)
+guard:walkTo( 778.809204, height, -1525.292847)
+guard:walkTo( 783.482666, height, -1530.000610)
+guard:walkTo( 790.163269, height, -1536.350708)
+guard:walkTo( 797.713745, height, -1542.968018)
+guard:walkTo( 804.024475, height, -1548.390503)
+guard:walkTo( 810.316406, height, -1553.796875)
+guard:walkTo( 819.849731, height, -1561.323242)
+guard:walkTo( 826.676819, height, -1566.627197)
+guard:walkTo( 833.950928, height, -1572.278442)
+guard:walkTo( 840.587036, height, -1577.434082)
+guard:walkTo( 847.261230, height, -1582.458252)
+guard:walkTo( 852.104797, height, -1586.104370)
+guard:walkTo( 857.504944, height, -1590.169556)
+guard:walkTo( 861.696411, height, -1593.324829)
+guard:walkTo( 867.690613, height, -1597.837036)
+guard:walkTo( 874.808105, height, -1604.437378)
+guard:walkTo( 878.302429, height, -1608.333252)
+guard:walkTo( 884.001892, height, -1614.366211)
+guard:walkTo( 890.699646, height, -1621.398315)
+guard:walkTo( 895.391052, height, -1626.179688)
+guard:walkTo( 902.171509, height, -1633.090332)
+guard:walkTo( 906.807495, height, -1637.957764)
+guard:walkTo( 910.438599, height, -1641.770142)
+guard:walkTo( 915.626160, height, -1647.216797)
+guard:walkTo( 921.844727, height, -1653.745972)
+guard:walkTo( 928.565125, height, -1660.801636)
+guard:walkTo( 933.742004, height, -1666.236694)
+guard:walkTo( 938.956543, height, -1671.711182)
+guard:walkTo( 942.160706, height, -1675.745972)
+guard:walkTo( 947.547302, height, -1681.952881)
+guard:walkTo( 951.732483, height, -1687.077759)
+guard:walkTo( 957.284851, height, -1693.876709)
+guard:walkTo( 962.786438, height, -1700.614990)
+guard:walkTo( 966.177246, height, -1705.151245)
+guard:walkTo( 970.221619, height, -1710.886230)
+guard:walkTo( 974.503113, height, -1717.243896)
+guard:walkTo( 977.332153, height, -1722.064087)
+guard:walkTo( 981.496887, height, -1729.391357)
+guard:walkTo( 986.814148, height, -1738.394165)
+guard:walkTo( 991.428650, height, -1745.393799)
+guard:walkTo( 998.958069, height, -1755.184326)
+guard:walkTo( 1003.995300, height, -1761.734131)
+guard:walkTo( 1009.006226, height, -1768.234375)
+guard:walkTo( 1013.550842, height, -1773.405029)
+guard:walkTo( 1019.371277, height, -1778.674072)
+guard:walkTo( 1024.703491, height, -1782.708618)
+guard:walkTo( 1030.605469, height, -1787.173950)
+guard:walkTo( 1036.072876, height, -1790.982056)
+guard:walkTo( 1043.746094, height, -1795.485474)
+guard:walkTo( 1050.884644, height, -1799.663574)
 hangarRouteProgrammed  = true
 end
@@ -249,9 +303,5 @@
 end
 
-if hangarReached then
-waveToSpaceship(timestep)
-end
-
-return false
+return hangarReached
 end
  
Index: /data/branches/presentation/scripts/hangar.lua
===================================================================
--- /data/branches/presentation/scripts/hangar.lua	(revision 4099)
+++ /data/branches/presentation/scripts/hangar.lua	(revision 4100)
@@ -5,4 +5,5 @@
 thisscript:addObject("SpaceShip", "spaceship")
 thisscript:addObject("GenericNPC", "mechanic")
+thisscript:addObject("GenericNPC", "mechanic2")
 
 -- Global Variables
@@ -40,8 +41,8 @@
 
 
-programRoute = true
+mprogramRoute = true
 mheight = 5
 function mechanicMove(timestep)
-if programRoute then
+if mprogramRoute then
 
 mechanic:walkTo( 991.192261, mheight, -1878.394287)
@@ -112,13 +113,93 @@
 mechanic:walkTo( 1019.079651, mheight, -1878.196777)
 
-programRoute = false
+mprogramRoute = false
 end
 
 if mechanic:finalGoalReached() then
-programRoute = true
-end
-
-end
-
+mprogramRoute = true
+end
+
+end
+
+mtprogramRoute = true
+mtheight = 5
+waittime = 0
+waiting = false
+function mechanictMove(timestep)
+if mtprogramRoute then
+mechanic2:walkTo( 1564.473999, mtheight, -1923.821533)
+mechanic2:walkTo( 1556.049927, mtheight, -1916.359009)
+mechanic2:walkTo( 1550.970581, mtheight, -1913.087524)
+mechanic2:walkTo( 1542.345459, mtheight, -1912.611938)
+mechanic2:walkTo( 1534.643677, mtheight, -1912.361816)
+mechanic2:walkTo( 1524.490845, mtheight, -1912.074097)
+mechanic2:walkTo( 1516.120605, mtheight, -1912.511475)
+mechanic2:walkTo( 1508.607788, mtheight, -1912.904175)
+mechanic2:walkTo( 1498.452759, mtheight, -1913.434814)
+mechanic2:walkTo( 1492.513916, mtheight, -1913.744995)
+mechanic2:walkTo( 1483.056274, mtheight, -1914.239136)
+mechanic2:walkTo( 1471.428711, mtheight, -1916.435303)
+mechanic2:walkTo( 1460.068359, mtheight, -1916.473022)
+mechanic2:walkTo( 1451.006592, mtheight, -1913.691772)
+mechanic2:walkTo( 1444.585938, mtheight, -1911.533691)
+mechanic2:walkTo( 1439.008423, mtheight, -1909.659058)
+mechanic2:walkTo( 1421.636230, mtheight, -1915.466553)
+mechanic2:walkTo( 1420.582275, mtheight, -1926.693970)
+mechanic2:walkTo( 1422.506714, mtheight, -1934.938232)
+mechanic2:walkTo( 1430.749023, mtheight, -1942.431519)
+mechanic2:walkTo( 1440.773315, mtheight, -1948.152832)
+mechanic2:walkTo( 1452.532227, mtheight, -1950.169800)
+mechanic2:walkTo( 1465.584961, mtheight, -1949.407959)
+mechanic2:walkTo( 1475.635254, mtheight, -1948.756226)
+mechanic2:walkTo( 1481.961548, mtheight, -1948.346069)
+mechanic2:walkTo( 1495.564575, mtheight, -1947.588257)
+mechanic2:walkTo( 1505.660156, mtheight, -1947.679077)
+mechanic2:walkTo( 1514.055542, mtheight, -1947.901245)
+mechanic2:walkTo( 1523.532959, mtheight, -1948.351440)
+mechanic2:walkTo( 1537.855347, mtheight, -1949.461914)
+mechanic2:walkTo( 1545.510498, mtheight, -1950.162720)
+mechanic2:walkTo( 1553.132935, mtheight, -1950.860718)
+mechanic2:walkTo( 1556.371460, mtheight, -1951.157104)
+mechanic2:walkTo( 1563.450806, mtheight, -1951.804932)
+mechanic2:walkTo( 1572.594116, mtheight, -1952.320679)
+mechanic2:walkTo( 1582.691772, mtheight, -1950.470459)
+mechanic2:walkTo( 1589.872681, mtheight, -1929.683105)
+mechanic2:walkTo( 1587.794922, mtheight, -1922.749756)
+mechanic2:walkTo( 1582.800171, mtheight, -1917.671021)
+mechanic2:walkTo( 1573.449951, mtheight, -1915.750854)
+mechanic2:walkTo( 1564.055908, mtheight, -1914.986328)
+mtprogramRoute = false
+end
+
+mechanic2X = mechanic2:getAbsCoorX()
+mechanic2Y = mechanic2:getAbsCoorY()
+mechanic2Z = mechanic2:getAbsCoorZ()
+
+if dist(mechanic2X,mechanic2Y,mechanic2Z,1435.444824, mtheight, -1916.463013) < 10 and not waiting then
+mechanic2:stop()
+waittime = 5
+--io.write("mechanic2 stoped \n")
+waiting = true
+end
+
+if waittime >= 0 and waiting then
+waittime = waittime - timestep
+--io.write(waittime,"\n")
+if waittime < 0 then
+--io.write("mechanic2 finished waiting\n")
+mechanic2:resume()
+end
+end
+
+if dist(mechanic2X,mechanic2Y,mechanic2Z,1564.473999, mtheight, -1923.821533) < 10 and waiting then
+waiting = false
+end
+
+
+if mechanic2:finalGoalReached() then
+mtprogramRoute = true
+end
+
+end
 
 
@@ -156,5 +237,5 @@
 if not spaceShipReleased then
 --spaceshipclaw:playAnimation(1,1)
-io.write("release spaceship\n")
+--io.write("release spaceship\n")
 spaceShipReleased = true
 playerEnteredSpaceShip = true
@@ -226,4 +307,5 @@
 observePlayer()
 mechanicMove(timestep)
+mechanictMove(timestep)
 
 if playerReachedTrigger and not spaceshipLaunchReady then
Index: /data/branches/presentation/scripts/prisoner.lua
===================================================================
--- /data/branches/presentation/scripts/prisoner.lua	(revision 4099)
+++ /data/branches/presentation/scripts/prisoner.lua	(revision 4100)
@@ -17,5 +17,5 @@
 
 randTime = 0
-height = 34
+height = 36
 
 
@@ -49,5 +49,5 @@
 distance = dist( guardX,guardY,guardZ,playerX, playerY, playerZ)
 
-if dist( playerX,playerY,playerZ,161.76,49,358.87 ) < 100 then
+if dist( playerX,playerY,playerZ,161.76,49,408.87 ) < 50 then
 playerInLock = true
 end
@@ -72,6 +72,6 @@
 
 if not walkProgrammed then
-prisoner:walkTo( -66.454849, height, 62.363449)
-prisoner:walkTo( -66.454849, height, 62.363449)
+--prisoner:walkTo( -66.454849, height, 62.363449)
+--prisoner:walkTo( -66.454849, height, 62.363449)
 prisoner:walkTo( -63.214821, height, 62.429710)
 prisoner:walkTo( -56.661182, height, 62.563740)
@@ -245,4 +245,67 @@
 prisoner:walkTo( 769.463684, height, -1430.375244)
 prisoner:walkTo( 769.351685, height, -1451.503418)
+
+prisoner:walkTo( 775.508972, height, -1457.168213)
+prisoner:walkTo( 776.536743, height, -1462.372925)
+prisoner:walkTo( 778.141663, height, -1470.500732)
+prisoner:walkTo( 779.744995, height, -1478.620117)
+prisoner:walkTo( 782.587646, height, -1489.528198)
+prisoner:walkTo( 785.285156, height, -1497.338013)
+prisoner:walkTo( 788.850159, height, -1506.399414)
+prisoner:walkTo( 792.417053, height, -1515.465820)
+prisoner:walkTo( 796.757446, height, -1525.825684)
+prisoner:walkTo( 802.122009, height, -1534.417847)
+prisoner:walkTo( 808.422058, height, -1541.669067)
+prisoner:walkTo( 816.134949, height, -1549.770508)
+prisoner:walkTo( 824.352783, height, -1557.150024)
+prisoner:walkTo( 832.695801, height, -1563.451172)
+prisoner:walkTo( 843.443665, height, -1571.163818)
+prisoner:walkTo( 850.623901, height, -1576.316284)
+prisoner:walkTo( 859.099182, height, -1580.545166)
+prisoner:walkTo( 868.999939, height, -1585.129028)
+prisoner:walkTo( 879.254211, height, -1588.827148)
+prisoner:walkTo( 888.822021, height, -1592.277832)
+prisoner:walkTo( 895.563293, height, -1594.931885)
+prisoner:walkTo( 900.941589, height, -1597.049438)
+prisoner:walkTo( 907.684387, height, -1599.704102)
+prisoner:walkTo( 914.599243, height, -1604.825928)
+prisoner:walkTo( 919.703430, height, -1609.984619)
+prisoner:walkTo( 925.728088, height, -1616.250977)
+prisoner:walkTo( 930.751343, height, -1621.475830)
+prisoner:walkTo( 934.714905, height, -1625.719360)
+prisoner:walkTo( 940.166260, height, -1631.555664)
+prisoner:walkTo( 946.152344, height, -1637.964600)
+prisoner:walkTo( 953.042297, height, -1646.456421)
+prisoner:walkTo( 958.174194, height, -1654.167847)
+prisoner:walkTo( 964.112854, height, -1663.534424)
+prisoner:walkTo( 968.981812, height, -1670.229248)
+prisoner:walkTo( 975.821045, height, -1678.569946)
+prisoner:walkTo( 982.743835, height, -1687.244385)
+prisoner:walkTo( 990.572571, height, -1697.622559)
+prisoner:walkTo( 995.849670, height, -1704.618164)
+prisoner:walkTo( 1001.152649, height, -1711.648193)
+prisoner:walkTo( 1005.204590, height, -1717.019531)
+prisoner:walkTo( 1012.097412, height, -1725.154907)
+prisoner:walkTo( 1017.283020, height, -1731.152222)
+prisoner:walkTo( 1022.044250, height, -1736.658936)
+prisoner:walkTo( 1028.422852, height, -1744.234863)
+prisoner:walkTo( 1033.080688, height, -1749.780884)
+prisoner:walkTo( 1036.395874, height, -1753.908936)
+prisoner:walkTo( 1040.509155, height, -1759.065186)
+prisoner:walkTo( 1044.627441, height, -1764.227783)
+prisoner:walkTo( 1050.220093, height, -1770.871094)
+prisoner:walkTo( 1054.504883, height, -1775.961060)
+prisoner:walkTo( 1060.259888, height, -1782.490723)
+prisoner:walkTo( 1067.060913, height, -1789.939209)
+prisoner:walkTo( 1072.477173, height, -1795.898315)
+prisoner:walkTo( 1076.556152, height, -1800.990845)
+prisoner:walkTo( 1080.718018, height, -1806.200439)
+prisoner:walkTo( 1085.281494, height, -1811.912476)
+prisoner:walkTo( 1090.934448, height, -1817.621094)
+prisoner:walkTo( 1095.896240, height, -1822.369141)
+prisoner:walkTo( 1100.940430, height, -1827.278564)
+prisoner:walkTo( 1107.045898, height, -1833.460693)
+prisoner:walkTo( 1113.230103, height, -1839.722534)
+
 hangarRouteProgrammed = true
 end
@@ -253,4 +316,5 @@
 
 if dist( thisX,thisY,thisZ, 3.175952, 29, -1610.220093) < 60 then
+prisoner:hide()
 return true
 end
Index: /data/branches/presentation/worlds/sp_level_ambush_at_jupiter.oxw
===================================================================
--- /data/branches/presentation/worlds/sp_level_ambush_at_jupiter.oxw	(revision 4099)
+++ /data/branches/presentation/worlds/sp_level_ambush_at_jupiter.oxw	(revision 4100)
@@ -167,5 +167,5 @@
        <model>models/creatures/male.md2, 10</model>
        <md2texture>male_albat.pcx</md2texture>
-       <abs-coor>-69,34, 74</abs-coor>
+       <abs-coor>-69,36, 74</abs-coor>
        <abs-dir>-1.55, 0, 1, 0</abs-dir>
     </GenericNPC>
@@ -208,4 +208,13 @@
        <md2texture>male_navy2.pcx</md2texture>
        <abs-coor>991.192261, 5, -1878.394287</abs-coor>
+       <abs-dir>0, 0, 1, 0</abs-dir>
+    </GenericNPC>
+    
+    
+    <GenericNPC>
+       <name>mechanic2</name>
+       <model>models/creatures/male.md2, 10</model>
+       <md2texture>male_navy2.pcx</md2texture>
+       <abs-coor>1564.473999, 5, -1923.821533</abs-coor>
        <abs-dir>0, 0, 1, 0</abs-dir>
     </GenericNPC>
@@ -236,5 +245,5 @@
     <FPSPlayer>
       <name>Player</name>
-      <abs-coor>-148,49,87</abs-coor>
+      <abs-coor>-148,20,87</abs-coor>
       <model>models/creatures/droidika.md2, 10</model>
       <md2texture>droidika.png</md2texture>